<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Generic interface for building scripting engines</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KRegExpEditorInterface</name>
    <filename>classKRegExpEditorInterface.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setRegExp</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;regexp)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>redo</name>
      <anchor>i1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>undo</name>
      <anchor>i2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setMatchText</name>
      <anchor>i3</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>doSomething</name>
      <anchor>i4</anchor>
      <arglist>(QString method, void *arguments)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>canUndo</name>
      <anchor>l0</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>canRedo</name>
      <anchor>l1</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="signal" virtualness="pure">
      <type>virtual void</type>
      <name>changes</name>
      <anchor>l2</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>regExp</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptClientInterface</name>
    <filename>classKScriptClientInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>error</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>warning</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>output</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>progress</name>
      <anchor>a3</anchor>
      <arglist>(int percent)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>done</name>
      <anchor>a4</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptInterface</name>
    <filename>classKScriptInterface.html</filename>
    <base>QObject</base>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>script</name>
      <anchor>a0</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;scriptFile)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;scriptLibFile, const QString &amp;method)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchor>a3</anchor>
      <arglist>(QObject *context=0, const QVariant &amp;arg=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>kill</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable">
      <type>KScriptClientInterface *</type>
      <name>ScriptClientInterface</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptManager</name>
    <filename>classKScriptManager.html</filename>
    <base>QObject</base>
    <base>KScriptClientInterface</base>
    <member kind="slot">
      <type>void</type>
      <name>runScript</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;scriptName, QObject *context=0, const QVariant &amp;arg=0)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptError</name>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptWarning</name>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptOutput</name>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptProgress</name>
      <anchor>l3</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptDone</name>
      <anchor>l4</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KScriptManager</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KScriptManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addScript</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;scriptDesktopFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeScript</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;scriptName)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>scripts</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>warning</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>output</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>progress</name>
      <anchor>a9</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>done</name>
      <anchor>a10</anchor>
      <arglist>(KScriptClientInterface::Result result, const QVariant &amp;returned)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QDict&lt; ScriptInfo &gt;</type>
      <name>m_scripts</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QDict&lt; KScriptInterface &gt;</type>
      <name>m_scriptCache</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QString</type>
      <name>m_currentScript</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMediaPlayer</name>
    <filename>namespaceKMediaPlayer.html</filename>
    <class kind="class">KMediaPlayer::Player</class>
    <class kind="class">KMediaPlayer::View</class>
    <member kind="variable" static="yes">
      <type>const int</type>
      <name>PlayerDCOPObject_fhash</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *const </type>
      <name>PlayerDCOPObject_ftable</name>
      <anchor>a1</anchor>
      <arglist>[14][3]</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::Player</name>
    <filename>classKMediaPlayer_1_1Player.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="enumeration">
      <name>State</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Empty</name>
      <anchor>w4w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchor>w4w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchor>w4w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchor>w4w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>pause</name>
      <anchor>i0</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>play</name>
      <anchor>i1</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>stop</name>
      <anchor>i2</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>seek</name>
      <anchor>i3</anchor>
      <arglist>(unsigned long msec)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLooping</name>
      <anchor>i4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loopingChanged</name>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchor>l1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual View *</type>
      <name>view</name>
      <anchor>a3</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSeekable</name>
      <anchor>a4</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>position</name>
      <anchor>a5</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasLength</name>
      <anchor>a6</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>length</name>
      <anchor>a7</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLooping</name>
      <anchor>a8</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchor>a9</anchor>
      <arglist>(void) const </arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setState</name>
      <anchor>j0</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::View</name>
    <filename>classKMediaPlayer_1_1View.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>Button</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchor>w5w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchor>w5w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchor>w5w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Seeker</name>
      <anchor>w5w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>All</name>
      <anchor>w5w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setButtons</name>
      <anchor>i0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>button</name>
      <anchor>i1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showButton</name>
      <anchor>i2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideButton</name>
      <anchor>i3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleButton</name>
      <anchor>i4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>buttonsChanged</name>
      <anchor>l0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>blockSelectionInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>blockSelectionMode</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setBlockSelectionMode</name>
      <anchor>z2</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>toggleBlockSelectionMode</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BlockSelectionDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(BlockSelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BlockSelectionDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardDCOPInterface</name>
    <filename>classKTextEditor_1_1ClipboardDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>copy</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cut</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>paste</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ClipboardDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ClipboardInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ClipboardDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CompletionEntry</name>
    <filename>classKTextEditor_1_1CompletionEntry.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchor>a0</anchor>
      <arglist>(const CompletionEntry &amp;c) const </arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>type</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>text</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>prefix</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>postfix</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>comment</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>userdata</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CodeCompletionInterface</name>
    <filename>classKTextEditor_1_1CodeCompletionInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>codeCompletionInterfaceNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showArgHint</name>
      <anchor>a3</anchor>
      <arglist>(QStringList functionList, const QString &amp;strWrapping, const QString &amp;strDelimiter)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showCompletionBox</name>
      <anchor>a4</anchor>
      <arglist>(QValueList&lt; CompletionEntry &gt; complList, int offset=0, bool casesensitive=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionAborted</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchor>a7</anchor>
      <arglist>(CompletionEntry)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argHintHidden</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>filterInsertString</name>
      <anchor>a9</anchor>
      <arglist>(CompletionEntry *, QString *)=0</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setCodeCompletionInterfaceDCOPSuffix</name>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateCodeCompletionInterface</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoDCOPInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>QString</type>
      <name>mimeType</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>long</type>
      <name>fileSize</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>niceFileSize</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>documentInfoInterfaceNumber</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DocumentInfoDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(DocumentInfoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentInfoDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditDCOPInterface</name>
    <filename>classKTextEditor_1_1EditDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>textLine</name>
      <anchor>z1</anchor>
      <arglist>(uint line)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>numLines</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>length</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>setText</name>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchor>z5</anchor>
      <arglist>(uint line, uint col, const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchor>z6</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchor>z7</anchor>
      <arglist>(uint line, const QString &amp;text)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchor>z8</anchor>
      <arglist>(uint line)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EditDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(EditInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EditDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterface</name>
    <filename>classKTextEditor_1_1EditInterface.html</filename>
    <member kind="function">
      <type>uint</type>
      <name>editInterfaceNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>a3</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>text</name>
      <anchor>a4</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>textLine</name>
      <anchor>a5</anchor>
      <arglist>(uint line) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>numLines</name>
      <anchor>a6</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchor>a7</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lineLength</name>
      <anchor>a8</anchor>
      <arglist>(uint line) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setText</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clear</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchor>a11</anchor>
      <arglist>(uint line, uint col, const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchor>a12</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchor>a13</anchor>
      <arglist>(uint line, const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchor>a14</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>textChanged</name>
      <anchor>a15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>charactersInteractivelyInserted</name>
      <anchor>a16</anchor>
      <arglist>(int,int,const QString &amp;)=0</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setEditInterfaceDCOPSuffix</name>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateEditInterface</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Editor</name>
    <filename>classKTextEditor_1_1Editor.html</filename>
    <base>KParts::ReadWritePart</base>
    <member kind="function">
      <type></type>
      <name>Editor</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>editorNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateEditor</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingDCOPInterface</name>
    <filename>classKTextEditor_1_1EncodingDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>encodingInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setEncoding</name>
      <anchor>z1</anchor>
      <arglist>(QString e)</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>encoding</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EncodingDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(EncodingInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EncodingDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintDCOPInterface</name>
    <filename>classKTextEditor_1_1PrintDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>printInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>printDialog</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>print</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PrintDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(PrintInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PrintDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchDCOPInterface</name>
    <filename>classKTextEditor_1_1SearchDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>bool</type>
      <name>findFirstString</name>
      <anchor>z0</anchor>
      <arglist>(QString text, bool caseSensitive)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findNextString</name>
      <anchor>z1</anchor>
      <arglist>(QString text, bool caseSensitive)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findPreviousString</name>
      <anchor>z2</anchor>
      <arglist>(QString text, bool caseSensitive)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findLastString</name>
      <anchor>z3</anchor>
      <arglist>(QString text, bool caseSensitive)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findStringAt</name>
      <anchor>z4</anchor>
      <arglist>(uint row, uint col, QString text, bool caseSensitive)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findFirstRegExp</name>
      <anchor>z5</anchor>
      <arglist>(QString regexp)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findNextRegExp</name>
      <anchor>z6</anchor>
      <arglist>(QString regexp)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findPreviousRegExp</name>
      <anchor>z7</anchor>
      <arglist>(QString regexp)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findLastRegExp</name>
      <anchor>z8</anchor>
      <arglist>(QString regexp)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>findRegExpAt</name>
      <anchor>z9</anchor>
      <arglist>(uint row, uint col, QString regexp)</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>currentMatchLine</name>
      <anchor>z10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>currentMatchCol</name>
      <anchor>z11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>currentMatchLength</name>
      <anchor>z12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SearchDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(SearchInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SearchDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>bool</type>
      <name>setSelection</name>
      <anchor>z0</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>clearSelection</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>hasSelection</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>selection</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>removeSelectedText</name>
      <anchor>z4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>selectAll</name>
      <anchor>z5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SelectionDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(SelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SelectionDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionExtDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionExtDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>selStartLine</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selStartCol</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selEndLine</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>selEndCol</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SelectionExtDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(SelectionInterfaceExt *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterfaceExt</name>
    <filename>classKTextEditor_1_1SelectionInterfaceExt.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>selectionInterfaceExtNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartLine</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartCol</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndLine</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndCol</name>
      <anchor>a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setSelectionInterfaceExtDCOPSuffix</name>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateSelectionInterfaceExt</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoDCOPInterface</name>
    <filename>classKTextEditor_1_1UndoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>undoInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>undo</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>redo</name>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>clearUndo</name>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>clearRedo</name>
      <anchor>z4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>undoCount</name>
      <anchor>z5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>redoCount</name>
      <anchor>z6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>undoSteps</name>
      <anchor>z7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setUndoSteps</name>
      <anchor>z8</anchor>
      <arglist>(uint steps)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>undoChanged</name>
      <anchor>z9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UndoDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(UndoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UndoDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::View</name>
    <filename>classKTextEditor_1_1View.html</filename>
    <base>QWidget</base>
    <base>KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchor>a0</anchor>
      <arglist>(class Document *, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>viewDCOPSuffix</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class Document *</type>
      <name>document</name>
      <anchor>a4</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateView</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewCursorDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>viewCursorInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>QPoint</type>
      <name>cursorCoordinates</name>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cursorPosition</name>
      <anchor>z2</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cursorPositionReal</name>
      <anchor>z3</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setCursorPosition</name>
      <anchor>z4</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>setCursorPositionReal</name>
      <anchor>z5</anchor>
      <arglist>(uint line, uint col)</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>cursorLine</name>
      <anchor>z6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>cursorColumn</name>
      <anchor>z7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>uint</type>
      <name>cursorColumnReal</name>
      <anchor>z8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>cursorPositionChanged</name>
      <anchor>z9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewCursorDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ViewCursorInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewCursorDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorInterface</name>
    <filename>classKTextEditor_1_1ViewCursorInterface.html</filename>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewCursorInterfaceNumber</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class QPoint</type>
      <name>cursorCoordinates</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPosition</name>
      <anchor>a4</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionReal</name>
      <anchor>a5</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPosition</name>
      <anchor>a6</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPositionReal</name>
      <anchor>a7</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorLine</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorColumn</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>cursorColumnReal</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionChanged</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setViewCursorInterfaceDCOPSuffix</name>
      <anchor>b0</anchor>
      <arglist>(const QCString &amp;suffix)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>PrivateViewCursorInterface</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>uint</type>
      <name>viewStatusMsgInterfaceNumber</name>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>viewStatusMsg</name>
      <anchor>z1</anchor>
      <arglist>(class QString msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewStatusMsgDCOPInterface</name>
      <anchor>a0</anchor>
      <arglist>(ViewStatusMsgInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewStatusMsgDCOPInterface</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
